// Electrical box Top
$fa = 1;
$fs = 0.4;

// !! This prints up side down so it flips about X in use
// !!  Hence the actual front is at the back in this view

$wide = 116;
$deep = 146;
$high = 8;
$wall = 5;
$base = 4;
$bolt_high = $base+4;	// the hole is for a melt-in M3 nut
$bolt_pos = 25;

difference(){
	union(){
		cube([$wide, $deep, $base]);
		translate([$wall, $wall, $base])
			cube([$wide-2*$wall, $wall, $high]);
		translate([$wall, $deep-2*$wall, $base])
			cube([$wide-2*$wall, $wall, $high]);
		translate([$wall, $wall, $base])
			cube([$wall, $deep-2*$wall, $high]);
		translate([$wide-2*$wall, $wall, $base])
			cube([$wall, $deep-2*$wall, $high]);
	}
	// the holes are measured to fit the botch job I did
	// of drilling the existing power box.
	translate([17, 41, -0.1])		// mounting holes BL
		cylinder(d=5, h=$base+0.2);
//	translate([17, 41, $base])		// cutout in wall for above
//		cylinder(d=10, h=$high+0.2);
	translate([17, 125, -0.1])		// TL
		cylinder(d=5, h=$base+0.2);
	translate([98, 49, -0.1])		// BR
		cylinder(d=5, h=$base+0.2);
	translate([98, 128, -0.1])		// TR
		cylinder(d=5, h=$base+0.2);
	translate([18, 54, -0.1])		// earthing bolt clearance
		cylinder(d=8, h=$base+0.2);
	translate([67, 63, -0.1])		// filter bolt clearance B
		cylinder(d=7, h=$base+0.2);
	translate([68, 102, -0.1])		// T
		cylinder(d=7, h=$base+0.2);
	translate([28, 106, -0.1])		//  wiring entry
		cylinder(d=17, h=5);
	// the cover bolts are retained by M3x4.8x5.0 hot inserted ferruls
	translate([$bolt_pos, $wall-0.1, $bolt_high]) // cover bolt hole BL
		rotate([-90, 0, 0])
			cylinder(d=4, h=$wall+.2);
	translate([$bolt_pos, $deep-2*$wall-0.1, $bolt_high])	// TL
		rotate([-90, 0, 0])
			cylinder(d=4, h=$wall+.2);
	translate([$wide-$bolt_pos, $wall-0.1, $bolt_high]) // BR
		rotate([-90, 0, 0])
			cylinder(d=4, h=$wall+.2);
	translate([$wide-$bolt_pos, $deep-2*$wall-0.1, $bolt_high])	// TR
		rotate([-90, 0, 0])
			cylinder(d=4, h=$wall+.2);
}
