// speed sensor mount

$fa = 1;
$fs = 0.4;

// THe board is 25 x 20 and stands 2mm off the base
$w  = 17;		// bit long enough to hit pins
$h  = 23;		// so 1mm higher
$t  = 5;		// arbitary thickness

$dh = 12;		// height of disk so centreline
$bh = 15;		// spacing of bolt holes
$pc = 8; 		// height of pin cutout
$wt = 8;		// width of tang
$lt = 12.5;		// length of the tang inc plate
$ht = 6;		// height of the tang
$mt = 2;		// M2.5 tapping size
$bc = 4.1;      // M$ clearance (on my printer)

difference(){
	union(){
		cube([$w, $t, $h]);					// body
		cube([$wt, $lt-$wt/2, $ht]);		// tang
		translate([$wt/2, $lt-$wt/2, 0])	// rounded end of tang
			cylinder(d=$wt, h=$ht);
	}
	translate([4, -0.01, $dh-$bh/2])		// bolt holes on module
		rotate([-90, 0, 0])
			cylinder(d=$mt, h=8);
	translate([4, -0.01, $dh+$bh/2])		// bolt hole
		rotate([-90, 0, 0])
			cylinder(d=$mt, h=$ht+0.02);
	translate([-0.01, -0.01, $dh-$pc/2])	// pin clearance
		cube([6, 1, $pc]);
	translate([4, 8.5, -0.01])				// mounting bolt hole
		cylinder(d=$bc, h=$ht+0.02);
}
