// X-gland
$fa = 1;
$fs = 0.4;

length = 50;
width  = 24;
thick  = 8;
diam   = 8.5;	// cable diam
bolt   = 4;		// M4
boltH  = 7.5;	// bolt head diam
boltC  = 4;		// bolt countersink

undercut = 1.5;	// trim to fit

difference(){
	translate([0, undercut, 0])
		cube([length,width-undercut,thick]);
	union(){
		translate([-0.01, width/2, thick])
			rotate([0,90,0])
				cylinder(d=diam, h=30);
		// bolts
		translate([5,5,-0.01])
			cylinder(d=bolt, h=10);
		translate([5,width-5,-0.01])
			cylinder(d=bolt, h=10);
		translate([length-5,5,-0.01])
			cylinder(d=bolt, h=10);
		translate([length-5,width-5,-0.01])
			cylinder(d=bolt, h=10);
		// body cavity
		translate([15,width/2-15/2,-0.01])
			cube([25,15,10]);
	}
}

translate([length+10,0,0]){
	difference(){
		cube([length,width-undercut,thick]);
		union(){
			translate([-0.01, width/2, thick])
				rotate([0,90,0])
					cylinder(d=diam, h=30);
		translate([5,5,-0.01])					// bolts
			cylinder(d=bolt, h=10);
		translate([5,width-5,-0.01])
			cylinder(d=bolt, h=10);
		translate([length-5,5,-0.01])
			cylinder(d=bolt, h=10);
		translate([length-5,width-5,-0.01])
			cylinder(d=bolt, h=10);

		translate([5,5,-0.01])					// countersinks
			cylinder(d=boltH, h=boltC+0.01);
		translate([5,width-5,-0.01])
			cylinder(d=boltH, h=boltC+0.01);
		translate([length-5,5,-0.01])
			cylinder(d=boltH, h=boltC+0.01);
		translate([length-5,width-5,-0.01])
			cylinder(d=boltH, h=boltC+0.01);

		translate([15,width/2-15/2,3])
			cube([25,15,10]);
		}
	}
}