// X plate
$fa = 1;
$fs = 0.4;

wide    = 220;		// overall
deep    = 70;
thick   = 4;
cutoutW = 110;		// cutout
cutoutH = 35;
screwX  = 60;
screwY  = 36;
screwD  = 35;
boltY   = 25;		// bolt position
boltS   = 86;		//		seperation
boltD	= 6;		// M6
beltC   = 98.14;	// pully centres for 300mm belt
motorO  = 10;		// motor offset below screw
motorX  = screwX+(sqrt(beltC*beltC-motorO*motorO));
motorY  = screwY+motorO;
motorB  = 3;		// M3
motorBS = 30.6;		// bolt seperation

// define a slot made of two circles and a rectange enlarged in the X direction
// NB: the centre of the slot is the base position so the slot is +/- on that.
module slot(diam, widthX){
    union(){
        translate([-widthX/2,0,0])
            cylinder(h=thick+2, d=diam);
        translate([widthX/2,0,0])
            cylinder(h=thick+2, d=diam);
        translate([-widthX/2, -diam/2, 0])
            cube([widthX, diam, thick+2]);
    }
}

difference(){
	cube([wide,deep,thick]);
	union(){
		// cutout
		translate([-.01, -0.01, -0.01])
			cube([cutoutW, cutoutH, thick+0.02]);
		// screw hole
		translate([screwX, deep-screwY, -0.01])
			cylinder(h=thick+0.02, d=screwD);
		// screw bolts
		translate([screwX-boltS/2, deep-boltY, -0.01])
			cylinder(h=thick+0.02, d=boltD);
		translate([screwX+boltS/2, deep-boltY, -0.01])
			cylinder(h=thick+0.02, d=boltD);
		// motor
		translate([motorX, deep-motorY, -0.01])
			slot(24, 5);
		translate([motorX-motorBS/2, deep-motorY-motorBS/2, -0.01])
			slot(motorB, 5);
		translate([motorX+motorBS/2, deep-motorY-motorBS/2, -0.01])
			slot(motorB, 5);
		translate([motorX-motorBS/2, deep-motorY+motorBS/2, -0.01])
			slot(motorB, 5);
		translate([motorX+motorBS/2, deep-motorY+motorBS/2, -0.01])
			slot(motorB, 5);
		// cover bolt
		translate([wide-90, 30, -0.01])
			cylinder(d=5, h=thick+0.02);	// M6 tap
		// gland bolts
		translate([wide-35,deep-5, -0.01])
			cylinder(d=3.4, h=thick+0.02);	// M4 tap
		translate([wide-35,deep-19, -0.01])
			cylinder(d=3.4, h=thick+0.02);
		translate([wide-75,deep-5, -0.01])
			cylinder(d=3.4, h=thick+0.02);
		translate([wide-75,deep-19, -0.01])
			cylinder(d=3.4, h=thick+0.02);
		// gland cavity
		translate([wide-70, deep-12-15/2, -0.01])
			cube([25,15,thick+0.02]);
		// grommet hole
		translate([125, 55, -0.01])
			cylinder(d=6.5, h=thick+0.02);
		// wiring block holes
		translate([wide-25, 13, -0.01])
			cylinder(d=4, h=thick+0.02);
		translate([wide-25, 43, -0.01])
			cylinder(d=4, h=thick+0.02);
	}
}
