// Y plate cover
$fa = 1;
$fs = 0.4;

// Values copied from millYplate.scad
wide    = 200
;		// overall
deep    = 61;
thick   = 5;
screwD  = 27;
screwX  = 35;		// from Left
screwY  = 30;		// from top
topcutX = 109;		// width of shallow TC
// end of copy

chigh       = 20;	// internal 'headroom'
edeep		= 0;	// extra depth beyond plate
wall        = 3;	// wall thickness
iwall		= 6;	// inner wall thickness
stub        = 5;

difference(){
	union(){
		// face
		cube([wide+2*wall, deep+edeep+2*wall, wall]);
		// extra depth top left
		translate([wide+wall-109, deep+2*wall, 0])
			cube([109, edeep, wall]);
		// right end
		cube([wall, deep+edeep+2*wall, chigh+wall+thick]);
		cube([iwall, wall+8, chigh+wall]);
		translate([0,wall+48,0])
			cube([iwall, deep-48+wall, chigh+wall]);
		// bottom
		cube([wide+2*wall, wall, chigh+wall+thick]);
		cube([wide+2*wall, iwall, chigh+wall]);
		// left end
		translate([wide+wall, 0, 0])
			cube([wall, deep+edeep+2*wall, chigh+wall+thick]);
		translate([wide+2*wall-iwall, 0, 0])
			cube([iwall, deep+edeep+2*wall, chigh+wall]);
		translate([0, deep+2*wall-iwall, 0])
			cube([wide-topcutX+wall-2, iwall, chigh+wall]);
		// actual top
		translate([0, deep+edeep+wall, 0])
			cube([wide+2*wall, wall, chigh+wall+thick]);
		// ledge
		translate([wide+wall-stub, wall+42, 0])
			cube([stub+wall, wall, chigh+wall+thick]);
		translate([wide+wall-stub, 2*wall+42-iwall, 0])
			cube([stub+wall, iwall, chigh+wall]);
		// case bolt
		translate([wide-85+wall, 27+wall, 0])
			cylinder(h=chigh+wall, d=12);
		 // LED surround
		 translate([wall+68, deep+2*wall-iwall-5, 0])
			cylinder(d=12, h=iwall);
		// microswitch plate
		translate([wall+75, wall+deep-7, wall])
			cube([20, 7, chigh-7]);
	}
	union(){
		// screw
		translate([wide+wall-screwX, deep+wall-screwY, -0.01]){
			cylinder(h=wall+0.04, d=screwD);
			cylinder(h=1.5, d1=34, d2=screwD);
		}
		// screw  pulley
		translate([wide+wall-screwX, deep+wall-screwY, wall+13])
			cylinder(h=25, d=57, center=true);
		// case bolt
		translate([wide-85+wall, 27+wall, -0.01])
			cylinder(h=chigh+wall+5, d=6);
		// switch cutout
		translate([wall+60, iwall+1, -0.01])		
			cube([30.0, 10.6, iwall+0.02]);
		// text cutout
		translate([2, deep+edeep+2*wall-1, 3])
			cube([50, 2, 17]);
		// corner cutout
		translate([wide+wall-7-0.01, deep+2*wall-10, chigh+wall])	
			cube([wall+7+0.02, 16.01, thick+0.01]);
		// screw cutouts
		translate([wide+wall-screwX+17, deep+wall-0.01, 7])
			cube([12, wall+0.02, 25]);
		translate([wide+wall-screwX-27.5, deep+wall-0.01, 7])
			cube([12.5, wall+0.02, 25]);
		translate([wide+wall-screwX-16, deep+wall-0.01, 14.5])
			cube([40, wall+0.02, 25]);
		// LED
		translate([wall+68, deep+2*wall-iwall-5, -0.01])
			cylinder(d=8, h=iwall+0.02);
		// microswitch screws
		translate([wall+78, wall+deep-7.01, wall+chigh-14])
			rotate([270,0,0])
				cylinder(d=1.6, h=8);
		translate([wall+78+9.5, wall+deep-7.01, wall+chigh-14])
			rotate([270,0,0])
				cylinder(d=1.6, h=8);
		// microswitch screws screwdriver holes
		translate([wall+78, -0.01, wall+chigh-14])
			rotate([270,0,0])
				cylinder(d=3.5, h=10);
		translate([wall+78+9.5, -0.1, wall+chigh-14])
			rotate([270,0,0])
				cylinder(d=3.5, h=10);
	}
}
// text
translate([49,deep+edeep+wall+1,8])
	rotate([-90,180,0])
		linear_extrude(2)
			text("NigSoft", 10, font = "Liberation Sans");
