// mill Y plate
$fa = 1;
$fs = 0.4;

wide    = 200;		// overall
deep    = 61;
thick   = 4;

screwD  = 33;
screwX  = 35;		// from Left
screwY  = 30;		// from top
boltD   = 6;		// M6
boltS   = 44.6;		// bolt separation
motorDY = 5;		// move the motor up ten
beltC	= 98.14;	// belt between centres
motorX  = screwX+sqrt(beltC*beltC-motorDY*motorDY);
motorY  = screwY-motorDY;
motorD  = 24;
motorB  = 3;		// M3
motorBS = 30.6;		// bolt separation

// I later added to top-cut to clear things
topcutX  = 109;		// width of shallow TC
topcutX1 = 40;		// how far from the screw can we stay high?

// define a slot made of two circles and a rectangle enlarged in the X direction
// NB: the centre of the slot is the base position so the slot is +/- on that.
module slot(diam, widthX){
    union(){
        translate([-widthX/2,0,0])
            cylinder(h=thick+2, d=diam);
        translate([widthX/2,0,0])
            cylinder(h=thick+2, d=diam);
        translate([-widthX/2, -diam/2, 0])
            cube([widthX, diam, thick+2]);
    }
}

difference(){
	cube([wide, deep, thick]);			// basic plate
	union(){
		// shallow topcut (6 below tangent)
		translate([-0.01, deep-screwY+screwD/2-6, -0.01])
			cube([topcutX+0.01, 100, thick+0.02]);
		// deeper topcut
		translate([screwX+40, deep-screwY, -0.01])
			cube([topcutX-topcutX1-screwX, 100, thick+0.02]);
		// screw hole
		translate([screwX, deep-screwY, -0.01])
			cylinder(h=thick+0.02, d=screwD);
		translate([screwX-screwD/2, deep-screwY, -0.01])
			cube([screwD, screwD, thick+0.02]);
		// screw bolts
		translate([screwX+boltS/2, deep-screwY, -0.01])
			cylinder(h=thick+0.02, d=boltD);
		translate([screwX-boltS/2, deep-screwY, -0.01])
			cylinder(h=thick+0.02, d=boltD);
		// motor and bolts
		translate([motorX, deep-motorY, -0.01])
			slot(motorD, 5);
		translate([motorX-motorBS/2, deep-motorY-motorBS/2, -0.01])
			slot(motorB, 5);
		translate([motorX+motorBS/2, deep-motorY-motorBS/2, -0.01])
			slot(motorB, 5);
		translate([motorX-motorBS/2, deep-motorY+motorBS/2, -0.01])
			slot(motorB, 5);
		translate([motorX+motorBS/2, deep-motorY+motorBS/2, -0.01])
			slot(motorB, 5);
		// cover bolt
		translate([85, 27, -0.01])
			cylinder(h=thick+0.02, d=5);
		// cable gland
		translate([wide-13, deep/2, -0.01])
			cylinder(d=19, h=thick+0.02);
		// grommet hole
		translate([149, 10, -0.01])
			cylinder(d=6.5, h=thick+0.02);
		// junction block
		translate([170, deep/2-15, -0.01])
			cylinder(d=4, h=thick+0.02);
		translate([170, deep/2+15, -0.01])
			cylinder(d=4, h=thick+0.02);
	}
}
